Bug 107538 - CAN-2003-0795 Zebra remote DoS
Summary: CAN-2003-0795 Zebra remote DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: zebra   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-20 09:05 UTC by Mark J. Cox
Modified: 2014-08-31 23:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 14:06:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:305 normal SHIPPED_LIVE Important: zebra security update 2003-11-12 05:00:00 UTC

Description Mark J. Cox 2003-10-20 09:05:11 UTC
Jonny Robertson reported a remote DoS condition exists in zebra when layer 3
access is possible to the telnet management port (2601/tcp).

By sending a telnet option delimiter with no actual option data, zebra will make
a bad memory call and SIGSEV.

I've assigned CAN-2003-0795 to track this issue.

Will be RHSA-2003:305.

Comment 1 Mark J. Cox 2003-10-20 09:05:57 UTC
Note also affects 2.1AW (not 2.1ES or 2.1WS which did not ship with zebra)

Comment 2 Mark J. Cox 2003-11-12 14:06:42 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-305.html



Note You need to log in before you can comment on or make changes to this bug.